cURL
curl --request POST \
--url https://api.eka.care/abdm/v1/consents/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"consent_artefacts": [
{
"access_mode": "view",
"care_contexts": [
{
"display": "<string>",
"id": "<string>"
}
],
"duration": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"erase_at": "2023-11-07T05:31:56Z",
"hi_types": [
"<string>"
],
"hip_id": "<string>"
}
],
"id": "<string>",
"access_mode": "view",
"duration": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"erase_at": "2023-11-07T05:31:56Z",
"hi_types": [
"<string>"
]
}
'import requests
url = "https://api.eka.care/abdm/v1/consents/approve"
payload = {
"consent_artefacts": [
{
"access_mode": "view",
"care_contexts": [
{
"display": "<string>",
"id": "<string>"
}
],
"duration": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"erase_at": "2023-11-07T05:31:56Z",
"hi_types": ["<string>"],
"hip_id": "<string>"
}
],
"id": "<string>",
"access_mode": "view",
"duration": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"erase_at": "2023-11-07T05:31:56Z",
"hi_types": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
consent_artefacts: [
{
access_mode: 'view',
care_contexts: [{display: '<string>', id: '<string>'}],
duration: {from: '2023-11-07T05:31:56Z', to: '2023-11-07T05:31:56Z'},
erase_at: '2023-11-07T05:31:56Z',
hi_types: ['<string>'],
hip_id: '<string>'
}
],
id: '<string>',
access_mode: 'view',
duration: {from: '2023-11-07T05:31:56Z', to: '2023-11-07T05:31:56Z'},
erase_at: '2023-11-07T05:31:56Z',
hi_types: ['<string>']
})
};
fetch('https://api.eka.care/abdm/v1/consents/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}PHR
Consent approve
This endpoint is used to approve the consent
POST
/
abdm
/
v1
/
consents
/
approve
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
OID is used to Identify the user.
Body
application/json
Response
No Content
Was this page helpful?
⌘I

